## ocaml-containers 3.14+dfsg

=== Makefile ===
PACKAGES=containers,containers-data

all: build test

build:
	dune build @install -p $(PACKAGES)

test: build
	dune runtest --display=quiet --cache=disabled --no-buffer --force

clean:
	dune clean

doc:
	dune build @doc

examples:
	dune build examples/id_sexp.exe

format:
	@dune build $(DUNE_OPTS) @fmt --auto-promote

format-check:
	@dune build $(DUNE_OPTS) @fmt --display=quiet


VERSION=$(shell awk '/^version:/ {print $$2}' containers.opam)

update_next_tag:
	@echo "update version to $(VERSION)..."
	sed -i "s/NEXT_VERSION/$(VERSION)/g" $(wildcard src/**/*.ml) $(wildcard src/**/*.mli)
	sed -i "s/NEXT_RELEASE/$(VERSION)/g" $(wildcard src/**/*.ml) $(wildcard src/**/*.mli)

WATCH?=@src/check @tests/runtest
watch:
	@dune build $(WATCH) -w

reindent:
	@which ocp-indent || ( echo "require ocp-indent" ; exit 1 )
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -type f -print0 | xargs -0 echo "reindenting: "
	@find src '(' -name '*.ml' -or -name '*.mli' ')' -type f -print0 | xargs -0 ocp-indent -i

.PHONY: all test clean build doc update_next_tag watch examples

=== debian/changelog ===
ocaml-containers (3.14+dfsg-2) unstable; urgency=medium

  * Enable autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 21 Oct 2024 10:32:17 +0100

ocaml-containers (3.14+dfsg-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 12 Oct 2024 11:12:14 +0100

## ocaml-containers 3.15+dfsg

=== debian/changelog ===
ocaml-containers (3.15+dfsg-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:07:10 +0200

ocaml-containers (3.15+dfsg-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:25:55 +0100

ocaml-containers (3.15+dfsg-1) unstable; urgency=medium

  * New upstream version 3.15+dfsg

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 07 Jan 2025 08:26:26 +0000

## ocaml-containers 3.16+dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	dune build @install -p $(PACKAGES)
 
 test: build
-	dune runtest --display=quiet --cache=disabled --no-buffer --force
+	# run tests in release mode to expose bug in #454
+	dune runtest --display=quiet --cache=disabled --no-buffer --force --profile=release
 
 clean:
 	dune clean

=== debian/changelog ===
ocaml-containers (3.16+dfsg-3) unstable; urgency=medium

  * Team upload
  * Fix compilation on 32-bit architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 14 Sep 2025 21:57:48 +0200

ocaml-containers (3.16+dfsg-2) unstable; urgency=medium

  * Team upload
  * Use Stdlib.compare instead of ( = ) for roundtrip tests

 -- Stéphane Glondu <glondu@debian.org>  Sun, 14 Sep 2025 09:12:50 +0200

ocaml-containers (3.16+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 17:32:38 +0200

=== debian/control ===
Source: ocaml-containers
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               ocaml-dune (>= 2.8.0),
               dh-ocaml (>= 1.2.2),
               libalcotest-ocaml-dev (>=1.7.0),
               libcsexp-ocaml-dev,
               libdune-ocaml-dev,
               libgen-ocaml-dev,
               libqcheck-core-ocaml-dev (>= 0.18),
               libyojson-ocaml-dev,
               libiter-ocaml-dev,
               libmdx-ocaml,
               ocaml
Standards-Version: 4.7.0
Homepage: https://c-cube.github.io/ocaml-containers/
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-containers
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-containers.git

Package: libcontainers-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: extension to OCaml's standard data structures and iterators
 An extension to the standard library docused on data
 structures, combinators and iterators, without dependencies
 on unix, str or num.
 .
 This package includes data structures that have equivalents
 in the standard library.

Package: libcontainers-data-ocaml-dev
Architecture: any
Depends: ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: extension to OCaml's standard data structures
 An extension to the standard library docused on data
 structures, combinators and iterators, without dependencies
 on unix, str or num.
 .
 This package includes data structures that do not have
 equivalents in the standard library. These may not be as
 well maintained.

=== debian/tests/control ===
Tests: upstream
Depends: @,
         ocaml-dune,
         libdune-ocaml-dev,
         libqcheck-core-ocaml-dev,
         libyojson-ocaml-dev,
         libiter-ocaml-dev,
         libgen-ocaml-dev,
         libcsexp-ocaml-dev,
         libuutf-ocaml-dev,
         libmdx-ocaml,
Restrictions: allow-stderr
